Redmine - Defect #19374

MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII
2015-03-13 11:14 - Shine Lee

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

| download redmine from https:/bitnami.com/redirect/to/50832/bitnami-redmine-3.0.0-0-windows-installer.exe .
The bug is descriped in the attachments.

mysql: 5.5.42

redmine: 3.0

ruby: 2.0.0p594 (2014-10-27) [i386-mingw32]
windows server 2008

Related issues:

Related to Redmine - Defect #19321: MinGW thin and puma: non ASCII wiki page ... Closed
Has duplicate Redmine - Defect #19398: Failed to get attachment with Chinese ... Closed
Has duplicate Redmine - Defect #19450: Unable to download files named by Chin... Closed
Has duplicate Redmine - Defect #19467: Downloading attachments will be wrong ... Closed
Has duplicate Redmine - Defect #19610: Attached files with cyrillic "" in th... Closed
Has duplicate Redmine - Defect #19600: can't open attcment files that have he... Closed
Has duplicate Redmine - Defect #20024: 3.0.300000000000000000000nternal serv... Closed
Has duplicate Redmine - Defect #19963: if attachment's name includes Chinese,... Closed
History

#1 - 2015-03-13 12:03 - Toshi MARUYAMA

- File chinese.png added

- Status changed from New to Closed

- Resolution set to Cant reproduce

| cannot reproduce.
Please contact bithami team.

$ RAILS_ENV=production bin/about

Environment:
Redmine version 3.0.0.stable
Ruby version 1.9.3-p551 (2014-11-13) [x86_64-1linux]
Rails version 4.2.0
Environment production
Database adapter Mysgl2

SCM:
Subversion 1.6.11
Darcs 22190
Mercurial 2.8.2
Cvs 1.12.13
Bazaar 2.1.1
Git 1.7.1
Filesystem

Redmine plugins:
no plugin installed

$ LANG=C hg parent

changeset: 11858:4aeb24fe2746
branch: 3.0-stable
user: jplang

2025-08-23 1/4



https://bitnami.com/redirect/to/50832/bitnami-redmine-3.0.0-0-windows-installer.exe

date:
summary:

Sun Mar 08 10:37:
Merged r14065 (#1

a Bug #14: Private issu

£ Bug #14: Private iss... x

A .,

A& € 9 @192168.11.11:20

This is a private issue

# testD2.txt O (107 Bytes) g7 Rec
# testOl.txt |, (62 Bytes) iy Redr
# test02.txt O, (107 Bytes) fif Rec
& test01.txt O (62 Bytes) 7 Red:
& test02.txt ) (107 Bytes) fij Rec
@ gt 4, (7 Bytes) i Redmine

Subtasks

Related issues

37 2015 +0000
9172) .

Opening ¥if.txt

You have chosen to open:

|- E.txt
which is: TXT file
from: http://192.168.11.11:3000

|
| What should Firefox do with this file?
i

@ Open with | gedit (default)

ik

| ) Save File

[ Do this automatically for files like this from now on.

Cancel | | OK

#2 - 2015-03-13 12:07 - Toshi MARUYAMA
| cannot reproduce on ruby 2.0.0p598 (2014-11-13 revision 48408) [x86_64-linux], too.

#3 - 2015-03-13 12:22 - Toshi MARUYAMA

| cannot reproduce on my Windows 8.1 Pro, too.

$ RAILS_ENV=production ruby bin/about

DL is deprecated, please use F

Environment:
Redmine version
Ruby version
Rails version
Environment
Database adapter

SCM:

Subversion
Mercurial
Git
Filesystem

Redmine plugins:
no plugin installed

#4 - 2015-03-13 16:01 - Shine Lee

iddle

3.0.0.stable

2.0.0-p598 (2014-11-13) [x64-mingw32]
4.2.0

production

Mysqgl2

[
© © ®
N O

- Status changed from Closed to Reopened

To reproduce this bug please upload pn

#5 - 2015-03-13 16:02 - Shine Lee
- File 00 .png added

#6 - 2015-03-13 16:16 - Toshi MARUYA
| cannot reproduce.

Please contact bithami team.

#7 - 2015-03-13 16:16 - Toshi MARUYA

- Status changed from Reopened to Clos

#8 - 2015-03-16 23:31 - Toshi MARUYA

g file,not txt file.

MA

MA
ed

MA

- Has duplicate Defect #19398: Failed to get attachment with Chinese filename. added
#9 - 2015-03-23 09:03 - Toshi MARUYAMA
- Has duplicate Defect #19450: Unable to download files named by Chinese words added

#10 - 2015-03-24 13:02 - Toshi MARUYAMA

- Has duplicate Defect #19467: Downloading attachments will be wrong if the file names contain more than two chinese characters added

#11 - 2015-03-24 14:02 - micro bead

two chinese characters can work,but more than two ones will be wrong.

#12 - 2015-03-24 16:16 - Toshi MARUYAMA
- Related to Defect #19321: MinGW thin and puma: non ASCII wiki page causes "Internal server error" added

#13 - 2015-03-26 14:14 - Toshi MARUYAMA

| have created issue.
https://github.com/macournoyer/thin/issues/268#issuecomment-86508080

#14 - 2015-04-11 03:52 - Toshi MARUYAMA
- Priority changed from High to Normal

- Resolution changed from Cant reproduce to Invalid

Rails 4.2.2 will fix.
https://github.com/rails/rails/commit/4df216cb12e35c09ae5ec271755e581d692d0326#diff-6897a0b59abaaa3bbc85da93757¢39d9L32

#15 - 2015-04-11 03:53 - Toshi MARUYAMA

- Subject changed from Internal server error occoures when attachment file name contains Chinese Charactor to MinGW thin and puma: Internal
server error occoures when attachment file name contains non ASCII

#16 - 2015-04-14 07:54 - Toshi MARUYAMA
- Has duplicate Defect #19610: Attached files with cyrillic "M1" in the name added

#17 - 2015-05-26 16:22 - Toshi MARUYAMA

- Related to Defect #19600: can't open attcment files that have hebrow file names added

#18 - 2015-05-26 16:22 - Toshi MARUYAMA

- Related to deleted (Defect #19600: can't open attcment files that have hebrow file names)

#19 - 2015-05-26 16:22 - Toshi MARUYAMA

- Has duplicate Defect #19600: can't open attcment files that have hebrow file names added

#20 - 2015-06-05 11:50 - Toshi MARUYAMA
- Has duplicate Defect #20024: 3.0.300000000000000000000 Internal server error added

#21 - 2015-06-25 12:43 - Toshi MARUYAMA

- Has duplicate Defect #19963: if attachment's name includes Chinese, it can't be download. added

#22 - 2015-06-26 15:48 - Toshi MARUYAMA
Rails 4.2.3 fixed.

$ git tag —--contains 4df216cbl2e35
v4.2.3
v4.2.3.rcl

#23 - 2015-07-17 06:03 - david chung
- File0DDODODODDOOO00DDD.doc added

| download bitnami-redmine-3.0.4-1-windows-installer.exe,Rails version is V4.2.3,but this bug is not fixed yet.Can anybody help me?
reproduce steps:
1.upload a attachment,files name is "100000000000000000.doc"
https://github.com/macournoyer/thin/issues/268#issuecomment-86508080
https://github.com/rails/rails/commit/4df216cb12e35c09ae5ec271755e581d692d0326#diff-6897a0b59abaaa3bbc85da93757c39d9L32

2.you can found it can't be download.

PS:On bitnami redmine 3.0.x for linux version,it cannot be reproduce.

#24 - 2015-07-17 09:29 - Toshi MARUYAMA

FTR: #19963#note-5.
Please contact bitnami team.

#25 - 2015-10-28 17:46 - Toshi MARUYAMA

- Resolution changed from Invalid to Wont fix

Files

first.png 52.1 KB 2015-03-13 Shine Lee
second.png 8.16 KB 2015-03-13 Shine Lee
chinese.png 64.6 KB 2015-03-13 Toshi MARUYAMA
00.png 52.1 KB 2015-03-13 Shine Lee
0oooooooooooooooo0.doce 219 KB 2015-07-17 david chung
https://www.redmine.org/issues/19963#note-5
http://www.tcpdf.org

